Skip to main content
GET
/
v1
/
issuing
/
cardholders
List Cardholders
curl --request GET \
  --url https://api-sandbox.uqpaytech.com/api/v1/issuing/cardholders \
  --header 'x-auth-token: <api-key>'
{ "total_pages": 1, "total_items": 10, "data": [ { "cardholder_id": "7c4ff2cd-1bf6-4aaa-bf16-266771425011", "email": "demo@example.com", "number_of_cards": 1, "first_name": "Emily", "last_name": "Toy", "create_time": "2024-05-09 15:52:23", "cardholder_status": "SUCCESS", "date_of_birth": "1990-01-01", "country_code": "SG", "phone_number": "86683306", "gender": "MALE", "nationality": "SG", "residential_address": { "country": "SG", "city": "Singapore", "line1": "9 N Buona Vista Dr", "state": "Singapore", "district": "Buona Vista", "line2": "THE METROPOLIS", "line_en": "9 N Buona Vista Dr, THE METROPOLIS", "postal_code": "138666" }, "review_status": "SUCCESS", "idv_status": "PENDING", "idv_verification_url": "https://idv.sumsub.com/verify/abc123", "idv_url_expires_at": "2026-04-10T10:00:00+08:00" } ] }

Authorizations

x-auth-token
string
header
required

The API token for login provided by UQPay.

Headers

x-on-behalf-of
string

Specifies the sub-account on whose behalf the request is made. This should be set to the account_id, which can be retrieved via the List Connected Accounts. If omitted or empty, the request is executed using the master account. More information at Connected Accounts.

Query Parameters

page_size
integer
default:10
required

The maximum number of items to return per page. This number can be between 10 - 100, and will default to 10

Required range: 10 <= x <= 100
page_number
integer
default:1
required

The page number to retrieve the next set of items. The number has to be greater than 1, and will default to 1

Required range: x >= 1
cardholder_status
enum<string>

Retrieve items with the specified cardholder status. Matches any cardholder status if unspecified.

Available options:
PENDING,
SUCCESS,
INCOMPLETE,
FAILED
Example:

"PENDING"

Response

OK - Successfully retrieved a list of cardholders.

total_pages
integer

The total pages of available items.

Example:

1

total_items
integer

The total counts of available items.

Example:

10

data
object[]